pydo.vpc_subnets.delete()

Generated on 1 Oct 2026 from pydo version v0.43.0

Usage

client.vpc_subnets.delete(
    vpc_uuid="997615ce-132d-4bae-9270-9ee21b395e5d",
    subnet_uuid="4de7ac8b-495b-4884-9a69-1050c6793cd6",
)
Returns NoneRaises HttpResponseError

Description

To delete a specific subnet from a VPC, send a DELETE request to /v2/vpcs/{vpc_uuid}/subnets/{subnet_uuid}. A successful request returns a 204 status code with no response body.

Parameters

vpc_uuid string required

The unique identifier of the VPC to which the subnet belongs.

subnet_uuid string required

The unique identifier of a VPC subnet.

More Information

See /v2/vpcs/{vpc_uuid}/subnets/{subnet_uuid} in the API reference for additional detail on responses, headers, parameters, and more.

We can't find any results for your search.

Try using different keywords or simplifying your search terms.